Method: customers.enterprise.securityInsights.queryContentTransfers

Returns a high-level summary of content transfers for a given customer.

HTTP request

GET https://chromemanagement.googleapis.com/v1/{customer=customers/*}/enterprise/securityInsights:queryContentTransfers

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
customer

string

Required. The customer ID in the format "customers/{customer_id}".

Query parameters

Parameters
filter

string

Optional. The filter to apply to the request. For syntax, see AIP-160. Data is not available for events older than 180 days, and may be unavailable or inaccurate for time ranges less than 4 hours. If event_time is not specified, results will be returned for the last 30 days.

Supported fields for filtering: - event_time

Supported operators: - >= and <= for event_time

Supported conjunctions: - AND

Example: event_time >= "2024-01-01T00:00:00Z" AND event_time <= "2024-01-02T00:00:00Z"

Request body

The request body must be empty.

Response body

Response message for securityInsights.queryContentTransfers.

If successful, the response body contains data with the following structure:

JSON representation
{
  "summaries": [
    {
      object (ContentTransfersSummary)
    }
  ]
}
Fields
summaries[]

object (ContentTransfersSummary)

A collection of summaries for various content transfers metrics.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chrome.management.securityinsights.readonly
  • https://www.googleapis.com/auth/chrome.management.securityinsights